# Class JSOFA.TangentPlaneCoordinate

java.lang.Object
org.jastronomy.jsofa.JSOFA.TangentPlaneCoordinate

Enclosing class:
  `JSOFA`

public static class JSOFA.TangentPlaneCoordinate extends Object
Tangent Plane Position consisting of (xi, eta) pairs in radians.

Notes:

1. The tangent plane projection is also called the "gnomonic projection" and the "central projection".
2. The eta axis points due north in the adopted coordinate system. If the spherical coordinates are observed (RA,Dec), the tangent plane coordinates (xi,eta) are conventionally called the "standard coordinates". For right-handed spherical coordinates, (xi,eta) are also right-handed. The units of (xi,eta) are, effectively, radians at the tangent point.

Since:
  JSOFA release 20180130
Version:
  JSOFA Release 20180130
Author:
  Paul Harrison (paul.harrison@manchester.ac.uk)

## Field Summary

Fields
Modifier and Type
Field
Description
`double`
`eta`
`int`
`status`
status.
`double`
`xi`

## Constructor Summary

Constructors
Constructor
Description
`TangentPlaneCoordinate(double xi, double eta, int j)`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### xi

public double xi

### eta

public double eta

### status

public int status
status. 0 = OK 1 = star too far from axis 2 = antistar on tangent plane 3 = antistar too far from axis

## Constructor Details

### TangentPlaneCoordinate

public TangentPlaneCoordinate(double xi, double eta, int j)